Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jun 2022 19:36:32 +0000

Hi Nihal Alsaiari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I face a very bad experience regarding my last order.
I made an order at 6th June and till now not received.
I have a flight tomorrow and till now didn't pack my luggage because you guys can't deliver my order till today.
My order number is #6148287585 and i want to receive from Yanbu branch.
I hope this mail find prompt response from your side.
Regards,
Unsatisfied customer https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4496418